import { WalkthroughElementCoordinate } from './walkthrough.component';
export declare class WalkthroughService {
    private _preventDefault;
    private _overflowRegex;
    private _preventDefaultForScrollKeys;
    disableScroll(): void;
    enableScroll(): void;
    retrieveCoordinates(element: HTMLElement): WalkthroughElementCoordinate;
    getTop(): number;
    getDocumentHeight(): number;
    scrollIntoViewIfOutOfView(element: HTMLElement): void;
    getScrollParent(element: HTMLElement): HTMLElement;
    getHeightOfPage(): number;
}
